<?php

namespace loyalsoft;

/**
 * 八大陆数据 extends Object
 * 困难难度不会垮大陆关联, 只在本大陆中同一个区域或者不同区域之间互相关联(此系采访策划后答复)
 * @version
 *          1.0.0 八大陆数据 at 2021年3月2日14:37:51 -gwang  
 * @author gwang (mail@wanggangzero.cn)
 * @copyright ? 2017-2-14, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class Ins_Mainland extends Object_ext {

    /**
     * @var int 当前大陆id
     */
    public $landId;

    /**
     * 普通关卡
     */
    public $normal;

    /**
     * 困难关卡
     */
    public $hard;

    /**
     * 精英关卡
     */
    public $elite;

    function __construct($arg = null) {
        if (null === $arg) {
            $this->normal = new \stdClass();
            $this->hard = new \stdClass();
            $this->elite = new \stdClass;
        } else {
            parent::__construct($arg);
        }
    }

    public function getZoneMos() {
        $ldc = GameConfig::gate_mainland_getItem($this->landId);
        $zidArr = explode(',', $ldc->containZones);
        $ret = array();
        $w = (array) GameConfig::gate_zone();
        array_walk($w, function ($v, $k) use($zidArr, &$ret) {
            if (in_array($k, $zidArr)) {
                $ret[] = $v;
            }
        });
        return $ret;
    }

}
